Debian Bug report logs - #630222
oath-toolkit: FTBFS: test suite failure

version graph

Package: src:oath-toolkit; Maintainer for src:oath-toolkit is OATH Toolkit Team <oath-toolkit-help@nongnu.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Sun, 12 Jun 2011 12:39:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version oath-toolkit/1.10.1-1

Fixed in version oath-toolkit/1.10.2-1

Done: Simon Josefsson <simon@josefsson.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, OATH Toolkit Team <oath-toolkit-help@nongnu.org>:
Bug#630222; Package src:oath-toolkit. (Sun, 12 Jun 2011 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to OATH Toolkit Team <oath-toolkit-help@nongnu.org>. (Sun, 12 Jun 2011 12:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: oath-toolkit: FTBFS: test suite failure
Date: Sun, 12 Jun 2011 14:21:51 +0200
[Message part 1 (text/plain, inline)]
Package: src:oath-toolkit
Version: 1.10.1-1
Severity: serious
Tags: sid wheezy
Justification: fails to build from source (but built successfully in the past)

Hi!

Your pacage failed to build on the {kfreebsd,hurd}-i386 buildds:

make[6]: Entering directory `/build/buildd-oath-toolkit_1.10.1-1-kfreebsd-i386-GnQbmD/oath-toolkit-1.10.1/liboath/tests'
PASS: tst_basic
PASS: tst_errors
PASS: tst_hotp_algo
PASS: tst_hotp_validate
PASS: tst_totp_algo
PASS: tst_totp_validate
FAIL: tst_usersfile.sh
==========================================
   liboath 1.10.1: tests/test-suite.log   
==========================================

1 of 7 tests failed.  

.. contents:: :depth: 2


FAIL: tst_usersfile.sh (exit: 1)
================================

--- ./expect.oath	2011-06-12 08:36:16.000000000 +0000
+++ tmp.oath	2011-06-12 12:08:50.000000000 +0000
@@ -4,6 +4,6 @@
 HOTP/E/8	joe	4711	01
 HOTP/E/8	silver	4711	3132333435363738393031323334353637383930313233343536373839303132	2	072768	2006-12-07T00:00:00L
 HOTP/E/6	jas	1234	3132333435363738393031323334353637383930
-HOTP/E/7	rms	6767	3132333435363738393031323334353637383930	15	436521	2006-12-07T00:00:00L
+HOTP/E/7	rms	6767	3132333435363738393031323334353637383930	15	436521	2006-12-07T00:00:01L
 HOTP		foo	8989	3132333435363738393031323334353637383930	0	755224	2009-12-07T17:25:42L
-HOTP/T30	eve	-	00	10	892423	2006-12-07T00:00:00L
+HOTP/T30	eve	-	00	10	892423	2006-12-07T00:00:01L
=============================================
1 of 7 tests failed
See tests/test-suite.log
Please report to oath-toolkit-help@nongnu.org
=============================================

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=oath-toolkit&arch=kfreebsd-i386&ver=1.10.1-1&stamp=1307880584

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer

A. Because it breaks the logical sequence of discussion
Q. Why is top posting bad?
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OATH Toolkit Team <oath-toolkit-help@nongnu.org>:
Bug#630222; Package src:oath-toolkit. (Sun, 12 Jun 2011 15:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to OATH Toolkit Team <oath-toolkit-help@nongnu.org>. (Sun, 12 Jun 2011 15:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 630222@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: Christoph Egger <christoph@debian.org>
Cc: 630222@bugs.debian.org
Subject: Re: Bug#630222: oath-toolkit: FTBFS: test suite failure
Date: Sun, 12 Jun 2011 17:41:53 +0200
> -HOTP/E/7	rms	6767	3132333435363738393031323334353637383930	15	436521	2006-12-07T00:00:00L
> +HOTP/E/7	rms	6767	3132333435363738393031323334353637383930	15	436521	2006-12-07T00:00:01L

The problem happens when the build system is slow, then the expected
time is off by one second.  I'll see what we can do about this.

Possibly the 'diff' command that compares output could be made a bit
smarter, and allow a 10 second window or something like that, to allow
for really slow hosts.

Thanks for the report.

/Simon




Reply sent to Simon Josefsson <simon@josefsson.org>:
You have taken responsibility. (Sun, 12 Jun 2011 16:51:08 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sun, 12 Jun 2011 16:51:08 GMT) Full text and rfc822 format available.

Message #15 received at 630222-close@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: 630222-close@bugs.debian.org
Subject: Bug#630222: fixed in oath-toolkit 1.10.2-1
Date: Sun, 12 Jun 2011 16:47:46 +0000
Source: oath-toolkit
Source-Version: 1.10.2-1

We believe that the bug you reported is fixed in the latest version of
oath-toolkit, which is due to be installed in the Debian FTP archive:

liboath-dev_1.10.2-1_amd64.deb
  to main/o/oath-toolkit/liboath-dev_1.10.2-1_amd64.deb
liboath0_1.10.2-1_amd64.deb
  to main/o/oath-toolkit/liboath0_1.10.2-1_amd64.deb
libpam-oath_1.10.2-1_amd64.deb
  to main/o/oath-toolkit/libpam-oath_1.10.2-1_amd64.deb
oath-dbg_1.10.2-1_amd64.deb
  to main/o/oath-toolkit/oath-dbg_1.10.2-1_amd64.deb
oath-toolkit_1.10.2-1.debian.tar.gz
  to main/o/oath-toolkit/oath-toolkit_1.10.2-1.debian.tar.gz
oath-toolkit_1.10.2-1.dsc
  to main/o/oath-toolkit/oath-toolkit_1.10.2-1.dsc
oath-toolkit_1.10.2.orig.tar.gz
  to main/o/oath-toolkit/oath-toolkit_1.10.2.orig.tar.gz
oathtool_1.10.2-1_amd64.deb
  to main/o/oath-toolkit/oathtool_1.10.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630222@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Josefsson <simon@josefsson.org> (supplier of updated oath-toolkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Jun 2011 18:16:47 +0200
Source: oath-toolkit
Binary: liboath-dev liboath0 oathtool oath-dbg libpam-oath
Architecture: source amd64
Version: 1.10.2-1
Distribution: unstable
Urgency: low
Maintainer: OATH Toolkit Team <oath-toolkit-help@nongnu.org>
Changed-By: Simon Josefsson <simon@josefsson.org>
Description: 
 liboath-dev - Development files for the OATH Toolkit Liboath library
 liboath0   - OATH Toolkit Liboath library
 libpam-oath - OATH Toolkit libpam_oath PAM module
 oath-dbg   - OATH Toolkit debugging symbols
 oathtool   - OATH Toolkit oathtool command line tool
Closes: 630222
Changes: 
 oath-toolkit (1.10.2-1) unstable; urgency=low
 .
   * New upstream release.
     - Fixes self checks on slow hosts. (closes: #630222)
Checksums-Sha1: 
 f3e2e4e43b7c71f24db65dc50136b9c534a9ccdc 1605 oath-toolkit_1.10.2-1.dsc
 899b6435011c9bd92be471ce2b5d252199c50289 1815804 oath-toolkit_1.10.2.orig.tar.gz
 5e5fa12cdf48775c26f2abd887cb98d05c0618fa 3299 oath-toolkit_1.10.2-1.debian.tar.gz
 4ff7325b6e74e8285d9cce8feca8132668a80501 35060 liboath-dev_1.10.2-1_amd64.deb
 73a0fba50d604b359e6f090d893d98d2dc2434c4 30100 liboath0_1.10.2-1_amd64.deb
 90efca5e103ae27f21482969f53f228a30e8b90c 38564 oathtool_1.10.2-1_amd64.deb
 50f2a722da7a4e60716bc186f16603dfb37e8dd4 77484 oath-dbg_1.10.2-1_amd64.deb
 ba5c74d50e1594f6fc85e6a98485288bb93452b2 21722 libpam-oath_1.10.2-1_amd64.deb
Checksums-Sha256: 
 795ea14650ffe781764f4408aa88191ede312d07e30fd4e0fb48cc06d87ea490 1605 oath-toolkit_1.10.2-1.dsc
 78c3152a268abcb69d89c5cd88f9beae9b53670bfd1a4d91de4219b2806d0939 1815804 oath-toolkit_1.10.2.orig.tar.gz
 fecee4eff716f611ee9a1547719c8524c5992b30261f3c55775808c37a33df24 3299 oath-toolkit_1.10.2-1.debian.tar.gz
 f57ea200c3d19a0e4f2cf0a2531cef00d6c9dc4c07fbc728bc0def79e737cd54 35060 liboath-dev_1.10.2-1_amd64.deb
 b21e57363d7b9eb91192cdc3e521168612be17aa98bff19d2a293def6e867fc3 30100 liboath0_1.10.2-1_amd64.deb
 d11c0dcc967fb64e356a2862bbe54fcc1b672a4b48246d0f26063efc29be40e2 38564 oathtool_1.10.2-1_amd64.deb
 9afb636aa1c147ebe0f8be265b397dd1fbc66b87e60f774b25c1f7325eeb0867 77484 oath-dbg_1.10.2-1_amd64.deb
 6020d8340437388529f34f0e32965f39223c307f50fd910decae66ed4f36d115 21722 libpam-oath_1.10.2-1_amd64.deb
Files: 
 1461777e4a2435d420ba379eb82067b7 1605 devel optional oath-toolkit_1.10.2-1.dsc
 d34190a69f04b989271dde55f05e7ebf 1815804 devel optional oath-toolkit_1.10.2.orig.tar.gz
 6280b78ebd4036ce34ddaf33aa883bda 3299 devel optional oath-toolkit_1.10.2-1.debian.tar.gz
 1a155e4d6900d1454b433a7aa1f61bde 35060 libdevel optional liboath-dev_1.10.2-1_amd64.deb
 2a40a3f98c44a6b586cd6f86edfcc96c 30100 libs optional liboath0_1.10.2-1_amd64.deb
 540abe39eaa8dbfe81c50b9880b7dcd4 38564 devel optional oathtool_1.10.2-1_amd64.deb
 d3d35218dbc13740c4e3fc7d897893b8 77484 debug extra oath-dbg_1.10.2-1_amd64.deb
 fa8de0b6a59aaaa676d07d95db06fae8 21722 admin optional libpam-oath_1.10.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iO4EAQECADgFAk306jMxFIAAAAAAFQATcGthLWFkZHJlc3NAZ251cGcub3Jnc2lt
b25Aam9zZWZzc29uLm9yZwAKCRDtoh6UtWVxb/awBP9iplmwUfyitUlLDmRd/WHA
AnHFoCt8stnvEZpgSumXAkiRX9SurKNyItqZT0lX9JVDXrWvJKV+m6STZpkgKXXg
dDBhGqj0FGxNIZ8Mhe/KuFXlg1IrEPNZyQHApapoZxNLurS6e1OJbbNSEnnu1y8X
l7kT9AxXRcJ939QwMIE2KaNxirwsfnWeq2ijo9/HGCLIzCIiiQvn/4ivN1uapxgI
=jWq4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jul 2011 07:32:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:55:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.